cURL
curl --request POST \ --url https://apiweb.mile.app/api/v3/app-integration/{appIntegrationId}/ \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: multipart/form-data' \ --form 'azureAuthUrl=<string>' \ --form azureCert='@example-file' \ --form 'integrationType=<string>'
{ "status": true, "code": 200, "message": "Integration has been updated successfully.", "data": { "_id": "6771480dc13375875909b693", "integrationType": "azure", "azureAuthUrl": "https://login.microsoftonline.com/XXX-5f2b-XXX-90a0-XXX/saml2", "azureCert": "https://apistorage.mile.app/v3-public-dev/dev/66791b2bfabcde/2024/12/28/app.cer", "organizationId": "66791b2bf001a712b77b3622", "updatedTime": "2024-12-29T13:01:01.924000Z", "createdTime": "2024-12-29T13:01:01.924000Z" } }
Documentation IndexFetch the complete documentation index at: https://docs.mileapp.dev/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.mileapp.dev/llms.txt
Use this file to discover all available pages before exploring further.
Use a valid Bearer token to authenticate.
this parameter for auth url provided by azure
azure
this parameter for certificate file provided by azure
this parameter for integration type, Currently available for azure
Success
Status of response.
Code of response.
Message of API response.
Detail of object export config.